# Uses of Interface
jebl.evolution.treesimulation.IntervalGenerator

Packages that use IntervalGenerator
Package
Description
jebl.evolution.treesimulation

## Uses of IntervalGenerator in jebl.evolution.treesimulation

Classes in jebl.evolution.treesimulation that implement IntervalGenerator
Modifier and Type
Class
Description
`class`
`CoalescentIntervalGenerator`
This is a class that draws coalescent intervals under the given demographic function.
Methods in jebl.evolution.treesimulation with parameters of type IntervalGenerator
Modifier and Type
Method
Description
`RootedTree`
TreeSimulator.`simulate(IntervalGenerator intervalGenerator)`
`RootedTree`
TreeSimulator.`simulate(IntervalGenerator intervalGenerator, boolean medianHeights)`